{{ define "main" }}

{{ if .Site.Data.homepage.image }}
{{ partial "site-featured-image" .Site.Data.homepage.image}}
{{ end }}

<section class="Home">
		{{ if .Site.Data.homepage.body }}
		<article class="Home-message">
			{{ .Site.Data.homepage.body | markdownify }}
	</article>
 {{ end }}

 {{ if .Site.Data.homepage.logo }}
 <aside class="Home-logo">
		 <a href='{{ "/" | relURL }}'
							class="Home-link">
			 <img src="{{.Site.Data.homepage.logo | relURL}}"/>
	 </a>
 </aside>
 {{ end }}

 {{ if .Site.Data.homepage.gallery }}
 <aside class="Home-gallery">
		 {{ range .Site.Data.homepage.gallery }}
		 <a href='{{ .url | relURL }}'
							class="Home-link"
							title="{{ .caption }}"
		 >
			 <img src="{{ .image | relURL}}"/>
	 </a>
	{{end}}
 </aside>
 {{ end }}

</section>
{{ end }}
